[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Notification

Notification handler for insertion or deletion of components.

## Declaration

Source position: controls.pp line 1528

`protected procedure TControl.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | The component being inserted or removed.
`Operation` |  | The action (opInsert or opRemove).

## Description

First, the inherited TComponent.Notification is called to notify all attached notification handlers.

If Operation is opRemove, additional actions are performed, depending on AComponent: the PopupMenu, Action, or anchors for the removed control are detached.

## See also

TComponent.Notification